Subject: Re: [RFC next-next v2 2/5] net: marvell: prestera: Add PCI interface support

From: Vadym Kochan <[email-masked]>
Date: Wed, 27 May 2020 11:55:57 +0300

Hi Jiri,

On Wed, May 27, 2020 at 07:53:05AM +0200, Jiri Pirko wrote:
> Tue, May 26, 2020 at 06:26:44PM CEST, [email-masked] wrote:
> >On Mon, May 11, 2020 at 01:23:46PM +0200, Jiri Pirko wrote:
> >> Fri, May 01, 2020 at 01:20:49AM CEST, [email-masked] wrote:
> >> >Add PCI interface driver for Prestera Switch ASICs family devices, which
> >> >provides:
> >
> >[...]
> >> 
> >> This looks very specific. Is is related to 0xC804?
> >> 
> >Sorry, I missed this question. But I am not sure I got it.
> 
> Is 0xC804 pci id of "Prestera AC3x 98DX326x"? If so and in future you
> add support for another chip/revision to this driver, the name "Prestera
> AC3x 98DX326x" would be incorrect. I suggest to use some more generic
> name, like "Prestera".

We are planning to support addition devices within the same family of
'Prestera AC3x' and therefore "Prestera AC3x 98DX32xx" is mentioned.
Additional families also up-coming: "Prestera ALD2 98DX84xx"

> 
> 
> 
> >
> >> 
> >> >+	.id_table = prestera_pci_devices,
> >> >+	.probe    = prestera_pci_probe,
> >> >+	.remove   = prestera_pci_remove,
> >> >+};
> >> >+
> >> >+static int __init prestera_pci_init(void)
> >> >+{
> >> >+	return pci_register_driver(&prestera_pci_driver);
> >> >+}
> >> >+
> >> >+static void __exit prestera_pci_exit(void)
> >> >+{
> >> >+	pci_unregister_driver(&prestera_pci_driver);
> >> >+}
> >> >+
> >> >+module_init(prestera_pci_init);
> >> >+module_exit(prestera_pci_exit);
> >> >+
> >> >+MODULE_AUTHOR("Marvell Semi.");
> >> 
> >> Author is you, not a company.
> >> 
> >> 
> >> >+MODULE_LICENSE("Dual BSD/GPL");
> >> >+MODULE_DESCRIPTION("Marvell Prestera switch PCI interface");
> >> >-- 
> >> >2.17.1
> >> >